.comments {
  margin-top: 3rem;

  .comment {
    display: flex;
    margin-bottom: 2rem;

    &-thumbnail {
      width: 7.5rem;
      min-width: 7.5rem;
      height: 7.5rem;
      padding: 0.35rem;
      border-radius: 50%;
      border: 0.2rem solid transparent;
      cursor: pointer;

      &.with-story {
        border-color: $color-primary;
        cursor: pointer;
      }

      &.viewed {
        border-color: $color-grey-lines;
      }

      img {
        width: 100%;
        height: 100%;
        border-radius: 50%;
        object-fit: cover;
      }
    }

    &-body {
      flex-grow: 1;
      padding: 0 1rem 0 2rem;
      color: $color-grey-dark;
    }

    &-name {
      font-size: 1.8rem;
      color: $color-primary;
      cursor: pointer;
    }

    &-options {
      display: flex;
      margin-top: 1rem;

      .icon {
        display: flex;
        align-items: center;
        border: none;
        background-color: transparent;
        color: $color-grey-lines;
        margin-right: 1.5rem;

        &.active {
          color: $color-primary;
        }

        > i {
          font-size: 2.2rem;
          margin-left: 0.6rem;
        }
      }

      .delete {
        background-color: transparent;
        border: none;
        font-size: 1.8rem;
        color: $color-grey;

        &:hover {
          color: $color-primary;
        }
      }
    }

    &-date {
      color: $color-grey;
      min-width: 7.7rem;
    }

    &-box {
      display: flex;
      align-items: center;

      .input {
        padding: 1.3rem 2rem;
        margin-left: 1rem;
        border-radius: 10rem;
        border: 0.15rem solid $color-grey-lines;
        flex-grow: 1;

        &:focus {
          border-color: $color-primary;
          outline: none;
        }
      }

      .button {
        padding: 1.3rem 2rem;
        margin-left: 1rem;
      }
    }
  }
}
